@import './variables.scss';
@import './mixin.scss';
@import './transition.scss';
@import './element-ui.scss';
@import './sidebar.scss';
@import './btn.scss';
@import './table.scss';
@import './news.scss';
@import './newsHoax.scss';

body {
  height: 100%;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  text-rendering: optimizeLegibility;
  font-family: Helvetica Neue, Helvetica, PingFang SC, Hiragino Sans GB, Microsoft YaHei, Arial, sans-serif;
}

label {
  font-weight: 700;
}

html {
  height: 100%;
  box-sizing: border-box;
}

#app {
  height: 100%;
}

*,
*:before,
*:after {
  box-sizing: inherit;
}

.no-padding {
  padding: 0px !important;
}

.padding-content {
  padding: 4px 0;
}

a:focus,
a:active {
  outline: none;
}

a,
a:focus,
a:hover {
  cursor: pointer;
  // color: inherit;
  text-decoration: none;
}

div:focus {
  outline: none;
}

.fr {
  float: right;
}

.fl {
  float: left;
}

.pr-5 {
  padding-right: 5px;
}

.pl-5 {
  padding-left: 5px;
}

.block {
  display: block;
}

.pointer {
  cursor: pointer;
}

.inlineBlock {
  display: block;
}

.clearfix {
  &:after {
    visibility: hidden;
    display: block;
    font-size: 0;
    content: " ";
    clear: both;
    height: 0;
  }
}

code {
  background: #eef1f6;
  padding: 15px 16px;
  margin-bottom: 20px;
  display: block;
  line-height: 36px;
  font-size: 15px;
  font-family: "Source Sans Pro", "Helvetica Neue", Arial, sans-serif;

  a {
    color: #337ab7;
    cursor: pointer;

    &:hover {
      color: rgb(32, 160, 255);
    }
  }
}

.warn-content {
  background: rgba(66, 185, 131, .1);
  border-radius: 2px;
  padding: 16px;
  padding: 1rem;
  line-height: 1.6rem;
  word-spacing: .05rem;
  margin-bottom: 25px;
  color: #42b983;
  font-weight: 600;

}

//main-container全局样式
.app-container {
  padding: 20px;
}

.components-container {
  position: relative;
  margin: 30px 50px;
}

.text-center {
  text-align: center
}

.sub-navbar {
  height: 50px;
  line-height: 50px;
  position: relative;
  width: 100%;
  text-align: right;
  padding-right: 20px;
  transition: 600ms ease position;
  background: linear-gradient(90deg, rgba(32, 182, 249, 1) 0%, rgba(32, 182, 249, 1) 0%, rgba(33, 120, 241, 1) 100%, rgba(33, 120, 241, 1) 100%);

  .subtitle {
    font-size: 20px;
    color: #fff;
  }

  &.draft {
    background: #d0d0d0;
  }

  &.deleted {
    background: #d0d0d0;
  }
}

.link-type,
.link-type:focus {
  color: #337ab7;
  cursor: pointer;

  &:hover {
    color: rgb(32, 160, 255);
  }
}

.filter-container {
  padding-bottom: 10px;

  .filter-item {
    display: inline-block;
    vertical-align: middle;
    margin-bottom: 10px;
  }
}

//refine vue-multiselect plugin
.multiselect {
  line-height: 16px;
}

.multiselect--active {
  z-index: 1000 !important;
}

.el-input--medium.is-disabled {
  .el-input__validateIcon {
    display: none
  }
}

.rw {
  margin-top: -7px;
}

.dashboard-polling {
  padding-right: 10px;
}

.dashboard-btn-all {
  margin: 0 auto;
  text-align: center;
  padding-top: 20px;
}

// overflow mobile view
.pagination-container {
  margin-top: 30px;
  width: 100%;
  overflow: auto;
}

.pagination-container .active {
  width: unset;
  float: unset;
}

.contact-admin {
  cursor: pointer;
  color: #4a96e8;
  font-family:'Open Sans', Arial, sans-serif;
}

.post-image {
  margin-right: 10px;
}

// news important public
.news-important-public {
  margin-bottom: 50px;

  .header {
    background-color: #00AADE;
    color: white;
    p {
      font-family: OpenSans-Light, sans-serif;
      font-weight: bold;
      margin: 0;
      padding: 15px 50px;
      font-size: 25px;
    }
  }

  img {
    display: block;
    width: 100%;
    margin: 0;
    padding: 0;
  }

  .source_url {
    font-family: OpenSans-Light, sans-serif;
    font-size: 15px;
    color: blue;
  }

  .attachment {
    margin: 0 5px 10px 0;
  }

  h5 {
    color: #606266;
  }

  .title {
    color: black;
    margin: 25px 0 0 0;
  }

  .attachment-title {
    margin-bottom: 20px;
  }
}

// style for mobile and tablet
@media only screen and (max-width: $tabletViewportWidth) {
  .el-col-xs-tag-mb-10 {
    margin-bottom: 10px;
  }

  .components-container {
    margin: 20px 20px;
    position: relative;
  }

  .inline-block {
    display: inline-block;
  }

  .rw {
    margin-top: -20px;
  }

  .dashboard-polling {
    padding-right: 0;
    margin-bottom: 10px;
  }

  .form-editor {
    .el-form-item__label {
      float: none;
      text-align: left;
    }
  }

  // news important public
  .news-important-public {
    .text {
      margin: 0 50px;
    }
  }
}

// style for mobile only
@media only screen and (max-width: $mobileViewportWidth) {
  .ml-min-40 {
    margin-left: 0px;
  }

  .el-message-box {
    width: 300px;
  }

  .el-message {
    min-width: 300px !important;
  }

  .inline-block {
    display: inline-block;
  }

  .rw {
    margin-top: -20px;
  }

  .button-mobile {
    display: block;
    margin: 10px 0;
  }

  .broadcast-option {
    margin-top: 7px;
  }

  .broadcast-feature {
    width: 100%;
  }

  // news important public
  .news-important-public {
    .text {
      margin: 0 25px;
    }
  }

  .post-image {
    margin-bottom: 10px;
  }

}
